#
# spec file for package python3-rply
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-rply
Version:        0.7.4
Release:        2.2
Summary:        A pure Python Lex/Yacc that works with RPython
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/alex/rply
Source0:        https://files.pythonhosted.org/packages/source/r/rply/rply-%{version}.tar.gz
BuildRequires:  python3-setuptools
Requires:       python3-appdirs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A pure python parser generator, that also works with RPython.
It is a more-or-less direct port of David Beazley's awesome PLY, with a new
public API, and RPython support.

%prep
%setup -q -n rply-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Mar 12 2016 lazy.kent@opensuse.org
- Initial package created - 0.7.4.
